import javax.servlet.*;
import javax.servlet.http.*;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.*;

public class ChartRequest implements HttpServletRequest {

	HttpServletRequest r;
	Hashtable table = new Hashtable();

	ChartRequest(HttpServletRequest r){
		this.r = r;
	}

	public void clearTable(){
		table = new Hashtable();
	}

	public void setParameter(String param, String value){
		table.put(param, value);
	}

    public String getParameter(String name){
		return (String)(table.get(name));
	}

    public Enumeration getParameterNames(){
		//return r.getParameterNames();
		return table.elements();
	}

    public int getContentLength(){
		return r.getContentLength();
	}

    public String getContentType(){
		return r.getContentType();
	}

    public String getProtocol(){
		return r.getProtocol();
	}

    public String getScheme(){
		return r.getScheme();
	}

    public String getServerName(){
		return r.getServerName();
	}

    public int getServerPort(){
		return r.getServerPort();
	}

    public String getRemoteAddr(){
		return r.getRemoteAddr();
	}

    public String getRemoteHost(){
		return r.getRemoteHost();
	}

    public String getRealPath(String path){
		return r.getRealPath(path);
	}

    public ServletInputStream getInputStream() throws IOException {
		return r.getInputStream();
	}

    public String[] getParameterValues(String name){
		return r.getParameterValues(name);
	}

    public Object getAttribute(String name){
		return r.getAttribute(name);
	}

    public BufferedReader getReader () throws IOException {
		return r.getReader();
	}

    public String getCharacterEncoding(){
		return r.getCharacterEncoding();
	}

    public Cookie[] getCookies(){
		return r.getCookies();
	}

    public String getMethod(){
		return r.getMethod();
	}

    public String getRequestURI(){
		return r.getRequestURI();
	}

    public String getServletPath(){
		return r.getServletPath();
	}

    public String getPathInfo(){
		return r.getPathInfo();
	}

    public String getPathTranslated(){
		return r.getPathTranslated();
	}

    public String getQueryString(){
		return r.getQueryString();
	}

    public String getRemoteUser(){
		return r.getRemoteUser();
	}

    public String getAuthType(){
		return r.getAuthType();
	}

    public String getHeader(String name){
		return r.getHeader(name);
	}

    public int getIntHeader(String name){
		return r.getIntHeader(name);
	}

    public long getDateHeader(String name){
		return r.getDateHeader(name);
	}

    public Enumeration getHeaderNames(){
		return r.getHeaderNames();
	}

    public HttpSession getSession (boolean create){
		return r.getSession(create);
	}
   
    public String getRequestedSessionId (){
		return r.getRequestedSessionId();
	}

    public boolean isRequestedSessionIdValid (){
		return r.isRequestedSessionIdValid();
	}

    public boolean isRequestedSessionIdFromCookie (){
		return r.isRequestedSessionIdFromCookie();
	}

    public boolean isRequestedSessionIdFromUrl (){
		return r.isRequestedSessionIdFromUrl();
	}
}
